package com.bytesw.bytebot.dto;

import com.bytesw.bytebot.model.airport.ItinerarioReserva;
import com.google.gson.annotations.Expose;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

@Getter
@Setter
@ToString
public class PasajeroDTO implements Serializable {
    @Expose
    private Integer id;

    @Expose
    private String primerNombre;

    @Expose
    private String segundoNombre;

    @Expose
    private String apellido;

    @Expose
    private String telefono;

    @Expose
    private String correo;

    @Expose
    private String direccion;

    @Expose
    private String ciudad;

    @Expose
    private String provincia;

    @Expose
    private String pais;

    @Expose
    private String detalles;

    @Expose
    private List<ItinerarioReserva> itinerarioReservas = new ArrayList<>();


}
